package com.ruoyi.project.patrol.patrol.service.impl;

import com.ruoyi.project.patrol.patrol.domain.TPatrolMain;
import com.ruoyi.project.patrol.patrol.mapper.TPatrolMainMapper;
import com.ruoyi.project.patrol.patrol.service.ITPatrolMainService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 消气防设施和器材检查计划总Service业务层处理
 *
 * @author ruoyi
 * @date 2023-08-22
 */
@Service
public class TPatrolMainServiceImpl implements ITPatrolMainService
{
    @Autowired
    private TPatrolMainMapper tPatrolMainMapper;

    /**
     * 查询消气防设施和器材检查计划总
     *
     * @param id 消气防设施和器材检查计划总主键
     * @return 消气防设施和器材检查计划总
     */
    @Override
    public TPatrolMain selectTPatrolMainById(Long id)
    {
        return tPatrolMainMapper.selectTPatrolMainById(id);
    }

    /**
     * 查询消气防设施和器材检查计划总列表
     *
     * @param tPatrolMain 消气防设施和器材检查计划总
     * @return 消气防设施和器材检查计划总
     */
    @Override
    public List<TPatrolMain> selectTPatrolMainList(TPatrolMain tPatrolMain)
    {
        return tPatrolMainMapper.selectTPatrolMainList(tPatrolMain);
    }

    /**
     * 新增消气防设施和器材检查计划总
     *
     * @param tPatrolMain 消气防设施和器材检查计划总
     * @return 结果
     */
    @Override
    public int insertTPatrolMain(TPatrolMain tPatrolMain)
    {
        return tPatrolMainMapper.insertTPatrolMain(tPatrolMain);
    }

    /**
     * 修改消气防设施和器材检查计划总
     *
     * @param tPatrolMain 消气防设施和器材检查计划总
     * @return 结果
     */
    @Override
    public int updateTPatrolMain(TPatrolMain tPatrolMain)
    {
        return tPatrolMainMapper.updateTPatrolMain(tPatrolMain);
    }    @Override
    public int updateTPatrolMainByType(TPatrolMain tPatrolMain)
    {
        return tPatrolMainMapper.updateTPatrolMainByType(tPatrolMain);
    }

    /**
     * 批量删除消气防设施和器材检查计划总
     *
     * @param ids 需要删除的消气防设施和器材检查计划总主键
     * @return 结果
     */
    @Override
    public int deleteTPatrolMainByIds(Long[] ids)
    {
        return tPatrolMainMapper.deleteTPatrolMainByIds(ids);
    }

    /**
     * 删除消气防设施和器材检查计划总信息
     *
     * @param id 消气防设施和器材检查计划总主键
     * @return 结果
     */
    @Override
    public int deleteTPatrolMainById(Long id)
    {
        return tPatrolMainMapper.deleteTPatrolMainById(id);
    }
}
